# BaseChosenInlineResult - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.InlineQueries.ChosenInlineResult / BaseChosenInlineResult

# BaseChosenInlineResult

(common) `data class BaseChosenInlineResult : ChosenInlineResult` (source)

### Constructors

(common)

#### <init>

`BaseChosenInlineResult(resultId: InlineQueryIdentifier, user: User, inlineMessageId: InlineMessageIdentifier?, query: String)`

### Properties

(common)

#### inlineMessageId

`val inlineMessageId: InlineMessageIdentifier?`

(common)

#### query

`val query: String`

(common)

#### resultId

`val resultId: InlineQueryIdentifier`

(common)

#### user

`val user: User`